Subject: Re: [PATCH 0/2] log/ format-patch improvements

From: Jonathan Nieder <[email-masked]>
Date: Thu, 26 Aug 2010 00:46:59 -0500

Ramkumar Ramachandra wrote:

> No,
> format-patch doesn't support merge commits at all.
[...]

> Jonathan Nieder writes:
>
>> I see value in avoiding confusion.  Maybe one solution would be to make
>> format-patch use --no-merges by default.
>
> Good idea. I'll write a patch. Do we also want people to be able to
> turn off `--no-merges`?

I don't see a need for it.

However, if you can think of good names for --undo-no-merges and
--undo-merges options to "git log", that might be a nice independent
change for the revision option parser.